#pragma once

#ifndef SerialDriverNames_h
#define SerialDriverNames_h

#include <Serial.h>

typedef	struct {
	Str255 driver;
	Str255 inputDriver;
	Str255 outputDriver;
} TSerialDriverName;


OSErr NewNameTable(void);
void  DisposeNameTable(void);

OSErr GetNumDriverNames(short *numDriverNames);

OSErr GetDriverName(short index, Str255 name);
OSErr GetInputDriverName(short index, Str255 name);
OSErr GetOutputDriverName(short index, Str255 name);
	
#endif // SerialDriverNames_h